#
# spec file for package python3-vim-vint
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/


Name:           python3-vim-vint
Version:        0.3.11
Release:        1.8
License:        MIT
Summary:        Lint tool for Vim script Language
Url:            https://github.com/Kuniwak/vint
Group:          Development/Languages/Python
Source:         https://files.pythonhosted.org/packages/source/v/vim-vint/vim-vint-%{version}.tar.gz
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-ansicolor >= 0.2.4
BuildRequires:  python3-chardet >= 2.3.0
BuildRequires:  python3-PyYAML >= 3.11
BuildRequires:  vim
# test requirements
BuildRequires:  python3-coverage >= 3.7.1
BuildRequires:  python3-pytest >= 2.6.4
BuildRequires:  python3-pytest-cov >= 1.8.1
Requires:       python3-ansicolor >= 0.2.4
Requires:       python3-chardet >= 2.3.0
Requires:       python3-PyYAML >= 3.11
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch
Requires(post): update-alternatives
Requires(postun): update-alternatives

%description
Vint is a Vim script Language Lint. The goal to reach for
Vint is:

-  Highly extensible
-  Highly customizable
-  High performance

But now, Vint is under development. We hope you develop a
policy to help us.

%prep
%setup -q -n vim-vint-%{version}

# Change test versions
sed -i 's/==/>=/' test-requirements.txt

%build
python3 setup.py build

%install
python3 setup.py install --prefix=%{_prefix} --root=%{buildroot}

# Prepare for update-alternatives usage
mkdir -p %{buildroot}%{_sysconfdir}/alternatives
mv %{buildroot}%{_bindir}/vint %{buildroot}%{_bindir}/vint-%{py3_ver}
ln -s -f %{_sysconfdir}/alternatives/vint %{buildroot}%{_bindir}/vint

# Tests don't work in rpmbuild environment
# %check
# python3 setup.py test

%post
%_sbindir/update-alternatives \
   --install %{_bindir}/vint vint %{_bindir}/vint-%{py3_ver} 30

%postun
if [ $1 -eq 0 ] ; then
    %_sbindir/update-alternatives --remove vint %{_bindir}/vint-%{py3_ver}
fi

%files
%defattr(-,root,root,-)
%doc LICENSE.txt README.rst
%{_bindir}/vint
%{_bindir}/vint-%{py3_ver}
%ghost %{_sysconfdir}/alternatives/vint
%{python3_sitelib}/*

%changelog
* Mon Feb 20 2017 arun@gmx.de
- specfile:
  * update copyright year
- update to version 0.3.11:
  * Bug fix
    + ConfigProjectSource: return first found config (#194)
  * Minor change
    + Add new dev tool for the scope plugin (#193)
* Mon Oct 17 2016 toddrme2178@gmail.com
- Initial version
